# TagHub | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Class TagHub

- Defined in: TagHub.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| TagHub()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| tag
| tag_id
| tagged
| tagged_id
| tagged_type
| user

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | TagHub.add(name, tagged, user)
| getMacroHandler(name)
| toString()

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getFormValue
  getMetadata
  getPermission
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onCodeUpdate
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  touch
  type_macro
  upload_macro

## Class Detail

TagHub()

## Field Detail

{Tag} tag
{Number} tag_id
{Story|Image} tagged
{Number} tagged_id
{String} tagged_type
{User} user

## Method Detail

- <static> {TagHub} TagHub.add(name, tagged, user)
  Parameters:
  {String} name
  {Story|Image} tagged
  {User} user
  Returns:
    {TagHub}
- {HopObject} getMacroHandler(name)
  Parameters:
  {String} name
  Returns:
    {HopObject}
- {String} toString()
  Returns:
    {String}